USN-6243-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6243-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6243-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6243-1
Related
Published
2023-07-25T08:34:41.592015Z
Modified
2023-07-25T08:34:41.592015Z
Summary
graphite-web vulnerabilities
Details

It was discovered that Graphite-Web incorrectly handled certain inputs. If a user or an automated system were tricked into opening a specially crafted input file, a remote attacker could possibly use this issue to perform server-side request forgery and obtain sensitive information. This issue only affected Ubuntu 16.04 LTS and Ubuntu 18.04 LTS. (CVE-2017-18638)

It was discovered that Graphite-Web incorrectly handled certain inputs. If a user or an automated system were tricked into opening a specially crafted input file, a remote attacker could possibly use this issue to perform cross site scripting and obtain sensitive information. (CVE-2022-4728, CVE-2022-4729, CVE-2022-4730)

References

Affected packages

Ubuntu:Pro:18.04:LTS / graphite-web

Package

Name
graphite-web

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.0.2+debian-2ubuntu0.1~esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "graphite-web": "1.0.2+debian-2ubuntu0.1~esm1"
        }
    ]
}

Ubuntu:20.04:LTS / graphite-web

Package

Name
graphite-web

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.1.4-5ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "graphite-web": "1.1.4-5ubuntu0.1"
        }
    ]
}

Ubuntu:22.04:LTS / graphite-web

Package

Name
graphite-web

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.1.8-1ubuntu0.22.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "graphite-web": "1.1.8-1ubuntu0.22.04.1"
        }
    ]
}

Ubuntu:Pro:14.04:LTS / graphite-web

Package

Name
graphite-web

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.9.12+debian-3ubuntu0.1~esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "graphite-web": "0.9.12+debian-3ubuntu0.1~esm2"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / graphite-web

Package

Name
graphite-web

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.9.15+debian-1ubuntu0.1~esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "graphite-web": "0.9.15+debian-1ubuntu0.1~esm1"
        }
    ]
}